Package com.avaya.clientservices.call.feature

## Enum ServiceObservingMode

- java.lang.Object
- - java.lang.Enum<ServiceObservingMode>
  - - com.avaya.clientservices.call.feature.ServiceObservingMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ServiceObservingMode>`

      public enum ServiceObservingMode
      extends java.lang.Enum<ServiceObservingMode>

  All supported service observing mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COACHING` | Coaching service observing mode.
    `LISTEN_ONLY` | Listen-only service observing mode.
    `LISTEN_TALK` | Listen-talk service observing mode.
    `NONE` | Default state, no service observing mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ServiceObservingMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ServiceObservingMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ServiceObservingMode NONE

      Default state, no service observing mode.

    - #### LISTEN_ONLY

          public static final ServiceObservingMode LISTEN_ONLY

      Listen-only service observing mode.

    - #### LISTEN_TALK

          public static final ServiceObservingMode LISTEN_TALK

      Listen-talk service observing mode.

    - #### COACHING

          public static final ServiceObservingMode COACHING

      Coaching service observing mode. This mode is used when Service Observing Coaching is activated on a service observed call.

  - ### Method Detail

    - #### values

          public static ServiceObservingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceObservingMode c : ServiceObservingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceObservingMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null